//  FuncPrototypes.h
// 
//  Version	Date	 Author	 Description
//	--------------------------------------------------------------------------
//  0.01	24/06/01 BWW	 List of function prototypes

// Function prototypes
void DisplayInit();
void DisplayInitDrawingCycle();
void DisplayFinishDrawing();
void DisplayVerticalBlank();
void DisplayCloseDrawingCycle();
void DisplayClose();
void MessageSpriteInit();
void MessageDisplay(char[], int XPos, int YPos, short Scale, int Offset, short ZPriority, int length);
void NumberDisplay(long Num, int XPos, int YPos, short Scale, int Offset, short ZPriority);
void DisplayEnvironment();
void DisplayRoute();
void DisplayAccessibility();
void ObjectInit();
void DisplayObject();
void DisplayStandardText();
void DynamicEvents();
void ResetAndStartCounter();
void InitSearchTree();
int  CheckLocationForAccess(int Xpos, int Ypos, int includedynobjects);
int  AddNodeToSearchTree(int Parent, int Xpos, int Ypos, int CostToNode);
void GenerateSearchTree(int includedoors);
void ExpandSearchTree(int currentnode, int includedoors);
int  CheckAlreadyProcessed(int currentnode, int xtocheck, int ytocheck);
void SelectRoute();
void PreconditionEffectInit();
void BuildPlan();
void InitPlan();
void GetRoutePreconditions(int UnmetIndex);
void SetAgentGoal();
int  AddUnmetPrecondition(int condition, int param1, int value1, int param2, int value2, int param3, int value3);
void AddActionEffect(int condition, int param1, int value1, int param2, int value2, int param3, int value3, int duration);
void AddOrdering(int predecessor, int successor);
void AddCausalLink(int actioneffect, int precondition);
void InitExecution();
void GetNextActionEffect();
void ExecutePlan();
//void PlanBuild();
int  FindEffect(int UnmetIndex);

u_long GetCounter();
static long CheckPad ();
u_long PadRead();

void MetricComplexity();
void MetricPlan();
void MetricPlanHeader();
void MetricPlanSummary();
void InitMetrics();








